<div
  [ngClass]="{ read: todo?.active === false, 'todo-card': todo?.active }"
  class="text-center mb-4 mt-3"
>
  <div>
    <div>
      <p>{{ todo?.sno }}</p>
    </div>
    <div >
      <h3>Title</h3>
      <div class="mb-3" id="titleEdit" (dblclick)="editTodo($event)" contenteditable="edit"> {{ todo?.title }}</div>
      
       
      <h4>Description</h4>
      <div class="mb-3"  contenteditable="false">{{ todo?.desc }}</div>
      <div class="mb-3">State:- {{ todo?.active }}</div>
    </div>
  </div>
  <button class="btn btn-danger" (click)="onClick(todo)">Delete</button>
  <button class="ms-5 btn btn-info"  (click)="markAsDone(todo,todo?.active)">
    {{mark}}
  </button>
</div>
